unit OGGDefs;

interface
uses ElSounds;

procedure DecodeOGGInfo1(Info : pointer; var Bitrate : integer; var Frequency : integer; var StereoMode : TElSStereoMode);

procedure DecodeOGGInfo2(Info : Pointer; var Title, Artist, Album, Copyright, Comment, Genre, Year : string);

implementation

uses SysUtils;

type TOGGInfo1 = record
        channels,
        bitrate,
        frequency:integer;
     end;
     POGGInfo1 = ^TOGGInfo1;

type POGGInfo2 = ^TOGGInfo2;
     TOGGInfo2 = record
       Title:array [0..63] of char;
       Artist:array [0..63] of char;
       Album:array [0..63] of char;
       Copyright:array [0..63] of char;
       Comment:array [0..63] of char;
       Genre:array [0..63] of char;
       Year : array[0..63] of char;
     end;


procedure DecodeOGGInfo1(Info : pointer; var Bitrate : integer;
                          var Frequency : integer; var StereoMode : TElSStereoMode);
begin
  Bitrate := POGGInfo1(Info).bitrate;
  Frequency := POGGInfo1(Info).Frequency;
  if POGGInfo1(Info).Channels = 1 then StereoMode := MPG_MD_MONO else StereoMode := MPG_MD_STEREO;
end;

procedure DecodeOGGInfo2(Info : Pointer; var Title, Artist, Album, Copyright, Comment, Genre, Year : string);
var P : POGGInfo2;
begin
  P := POGGInfo2(Info);
  Title := StrPas(P.Title);
  Artist := Strpas(P.Artist);
  Album := StrPas(P.Album);
  Copyright := Strpas(P.CopyRight);
  Comment := Strpas(P.Comment);
  Genre := StrPas(P.Genre);
  Year := StrPas(P.Year);
end;

end.
